
body {
    padding-top: 50px;
    padding-bottom: 20px;
}

.body-kiosk {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
    background-color: #999999;
    cursor: none !important; /* to remove cursor */
    
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none;   /* Chrome/Safari/Opera */
    -moz-user-select: none;      /* Firefox */
    -ms-user-select: none;       /* IE/Edge */
    -o-user-select:none;
    user-select: none;           /* non-prefixed version, currently
                                    not supported by any browser */
}




/* OVERLOAD BOOTSTRAP */
.btn-primary {
    color: #FFF;
    background-color: #990000 !important;
    border-color: #990000 !important;
}

.btn-primary:hover {
  color: #ffffff;
  background-color: #660000 !important;
  border-color: #330000 !important;
}

.dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus {
    text-decoration: none;
    color: #FFF;
    background-color: #660000 !important;
}

.pagination > .active > a, .pagination > .active > span, .pagination > .active > a:hover, .pagination > .active > span:hover, .pagination > .active > a:focus, .pagination > .active > span:focus {
    z-index: 3;
    color: #FFF;
    background-color: #660000 !important;
    border-color: transparent;
    cursor: default;
}

.label-primary {
    background-color: #660000 !important;
}

.top-link {
    color: #ED8E82 !important;
}









.navbar-brand {
  /* padding: 7px 15px !important; adjust the top/bottom padding if your logo looks too small */
  /* margin-top: 0px !important; you can adjust this if your logo needs to be moved up or down but simply adjusting the padding is easier */
  /* height: 50px !important; this should be equal to computed height of .navbar-nav>li>a */
}

.navbar-brand div, .navbar-brand div img {
    max-height: 100%; /* resize DOWN to height of container which is set to 50px */
    height: 100%; /* resize UP to fit*/
    max-width: 100%;  /*probably not necessary */
    width: auto; /* resize based on height */
    margin: 0 auto;
    -o-object-fit: contain; /* Opera Support */
    object-fit: contain; /* Resize down to fit container */
}


#logo_bar {
    border: 0;
    padding-right: 10px;
    
}

.log-control {
    margin-bottom: 2px !important; 
}

/* fix for disable auto-zoom */
input[type='text'],
input[type='password'],
input[type='select'],
input[type='number'],
textarea {
  font-size: 16px;
}

.centerpage {
    padding-bottom: 40px;
    padding-top: 0px;
}

.footertext {
    padding-top: 19px;
    color: #777;
    text-align: center;
    border-top: 1px solid #e5e5e5;
}

.alert-top-space {
    height: 2px;
}

.nav-submenu-comment {
    display: block;
    padding: 3px 8px;
    clear: both;
    font-weight: 400;
    line-height: 1.42857;
    color: #888;
    white-space: nowrap;
}

.nav-submenu-selected-item {
    display: block;
    padding: 3px 20px;
    clear: both;
    font-weight: bold;
    background-color: #f5f5f5;
    line-height: 1.42857;
    color: #333;
    font-size: 14px;
    white-space: nowrap;
}


.top-header {
    padding-bottom: 6px;
    margin-top: 8px;
    margin-bottom: 8px;
    font-size: 22px; 
    padding-top: 4px;
    color: transparent;
}

.top-header-title {
    padding-right: 15px;
}

.top-header-addlink {
    vertical-align: middle; 
    padding-bottom: 5px;
}

.image-tab-cell {
    width: 36px;
    text-align: center;
}

.image-tab-cell-text {
    vertical-align: middle;
}

.table-cell-right {
    text-align: right;
    width: 60px;
}

.cell-grp-selector {
    width: 28px;
    height: 30px;
    text-align: center;
    vertical-align: middle;
    color: white;
    padding-top: 4px;
    background-color: rgb(66, 139, 202);
    display: inline-block;
}

.col-grp-selector {
    text-align: right;
    padding-bottom: 5px;
    padding-right: 5px;
}

.colGrpBox1, .colGrpBox2, .colGrpBox3, .colGrpBox4, .colGrpBox5, .colGrpBox6 {
    display: none;
}

.filterBox {
    /* width: 220px;        */
    padding-bottom: 18px;
}


.form-desc-downspace {
    height: 18px;
}

.arrow-select {
    font-size: 24px;
}

.doubleselect-buttons {
    padding-top: 6px;
    padding-bottom: 6px;
}

.glyphicon-list-image {
    font-size: 20px;
    
}

.field-value-label {
    font-size: 100%;
}

.list-box-container {
    text-align: center;
}

.thumbnail {
    min-height: 110px;
}

.list-box-desc {
    padding-top: 10px;
}

.list-box-event-box-bottom {
    height: 18px;
}

.cell-bck-yellow {
    background-color: #FFFF9D;
}

.cell-bck-green {
    background-color: #C7FFC7;
}

.cell-bck-red {
    background-color: #ED8E82;
}

.label-success-dark {
    background-color: #0F870F;
}

.input-file-type {
    font-size: 85%;
}

.input-file-type2 {
    font-size: 85%;
    padding-top: 6px;
}

.input-link-type {
    padding-top: 7px;
}

.selected-box {
    padding-top: 12px;
}

.align-center {
    text-align: center;
}

.summary_row {
    min-height: 50px;
    display:inherit;
    width: 100%;
    padding-bottom: 25px;
}
.vcenter {
    display: inline-block;
    vertical-align: middle;
    float: none;
}

.summary_cell {
    width: 25%;
}

.summary_nums {
    font-size: 30px;
}

.summary_deps {
    font-size: 24px;
    text-align: left;
    padding-left: 60px !important;
    vertical-align: middle;
}

.summary_badge {
    font-size: 24px !important;
    vertical-align: middle;
}

#meal_label {
    font-size: 15px;
}

#summary_label {
    font-size: 30px;
    padding-bottom: 40px;
}

#countdown {
    font-size: 38px;
    color:green;
}

.border-right {
    border-right-color: gray;
    border-right-style: solid;
    border-right-width: 1px;
}

.btn-material {
    padding: 6px;
    display: inline-block;
}

.btn-material-is-present {
    visibility: hidden;
}

.btn-material-footer {
    padding-bottom: 25px;
    border-bottom: 1px solid #E5E5E5;
}

.btn-sel-material {
    display: inline-block !important;
    vertical-align: middle !important;
    font-size: 13px;
}

.panel-min {
    padding: 8px !important;    
    vertical-align: middle !important;
    float: none;
    background-color: #f5f5f5 !important;
}

#added_material_box {
    padding-right: 20px;
}

.separator {
    height: 30px;
}

.separator-mini {
    height: 18px;
}

.big-button {
    font-size: 38px !important;
}

.big-req-button {
    font-size: 38px !important;    
    margin-right: 28px;
    /* margin-bottom: 42px; */
    margin-top: 28px;
}

.ticket-id {
    font-size: 38px !important;
    color:  #cc0000;
}

.label-big {
    font-size: large  !important;
}



#errorbox
{
    display: none;
    text-align: center;
    vertical-align: middle;
    width: 100%;
    height: 300px;
    padding: 50px;
    margin: 0px ;
    background-color: #aa0000;
    color: white;
    font-size: 22px;
    font-family: 'Arial';
}

#appbox
{
    display: block;
    vertical-align: top;
    width: 100%;
    margin: 0px;    
}


/* KIOSK ZONE */
.kiosk-table {
    width: 100%;
    height: 895px;
}

.kiosk-table-horizontal {
    width: 100%;
    height: 600px;
}

.kiosk-row-top {
    background-image: url("../../../images/back_top_cell.png");
    background-repeat: repeat-x;
    height: 184px;
}

.kiosk-row-top2 {
    background-color: #a1040b;
    height: 300px;
}

.kiosk-row-top2-horizontal {
    background-color: #a1040b;
    height: 245px;
}

.kiosk-row-space {
    height: 32px;
}

.kiosk-row-space-horizontal {
    height: 16px;
}


.kiosk-cell-top {
    background-image: url("../../../images/top_image.png");
    background-repeat: no-repeat;
    padding-top: 20px;
    vertical-align: top;
    text-align: left;
    font-size: 38px;
    font-weight: 700;
    color: white;
}

.kiosk-cell-top2 {
    padding-top: 30px;
    vertical-align: top;
    text-align: center;
}

.kiosk-cell-top2-horizontal {
    padding-top: 8px;
    vertical-align: top;
    text-align: center;
}

#box_datetime {
    padding-top: 10px;
    font-size: 38px;
    font-family: sans-serif;    
    font-weight: 500;
    color: white;
}

.kiosk-cell-top-space {    
    width: 16px;
}

.kiosk-cell-top-last {    
    width: 130px;
    padding-top: 30px;
    vertical-align: top;    
    text-align: right;
}

.kiosk-middle-cell {
    vertical-align: bottom;
    padding-bottom: 70px;
    text-align: left;
    height: 560px;
}

.kiosk-middle-cell2 {
    vertical-align: middle;
    text-align: center;
    height: 1184px;
}

.kiosk-middle-cell2-horizontal {
    vertical-align: middle;
    text-align: center;
    height: 643px;
}

.kiosk-row-bottom2 {
    background-color: #a1040b;
    height: 340px;
}

.kiosk-row-bottom2-horizontal {
    background-color: #a1040b;
    height: 160px;
}

.kiosk-cell-bottom2 {
    padding-top: 20px;
    padding-bottom: 20px;
    vertical-align: middle;
    text-align: center;
}

.kiosk-cell-bottom-arrow {
    vertical-align: middle;
    text-align: center;
    font-size: 144px;
    color:white;    
}

.kiosk-cell-bottom-arrow-horizontal {
    vertical-align: middle;
    text-align: center;
}


.kiosk-bottom-arrow {
    font-size: 110px;
    color:white;    
}

.kiosk-cell-bottom-message {
    font-size: 70px;
    font-family: sans-serif;
    font-weight: bold;
    color:white;
    vertical-align: middle;
    text-align: center;
}

.kiosk-table-bottom2 {
    width: 100%;
    border: 0px;
    background-color: #A1040B;
}

.kiosk-slideshow-cell {
    background-color: #000000;
    vertical-align: top;
    text-align: center;
}


.kiosk-button-container {
    padding: 10px;
    display: inline-block;
    margin: 20px;
}

.kiosk-button {
    word-wrap: break-word !important;
    white-space: normal !important;
    cursor: none;
    height: 180px;
    width: 450px;
}

.kiosk-button-desc {
    font-size: 42px !important;
}

.kiosk-button:hover {
    background-color: #990000 !important;
    border-color: #990000 !important;
    cursor: none;
}

.kiosk-button-subdesc {
    font-size: 25px !important;
    cursor: none;
    word-wrap: break-word !important;
}

#print_message {
    z-index: 501;
    display: none;
    position:absolute;
    top: 300px;
    left: 200px;
    right: 200px;
    height: 250px;
    vertical-align: middle;
    text-align: center;
    background-color:#ffcb38;
    font-size: 36px;
    line-height: 250px;
    border-style: solid;
    border-width: 4px;
    border-color: #333;
}

/* KIOSK-MONITOR SLIDESHOW */
#rotating-item-wrapper {
	position: relative;
	width: 1080px;
	height: 1080px;
}
.rotating-item {
	display: none;
	position: absolute;
	top: 0;
	left: 0;
}



/* MONITOR ZONE */
.body-monitor {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
    background-color: #000000;
    cursor: none !important; /* to remove cursor */
}

#rotating-item-wrapper-monitor {
        text-align: center;
	position: relative;
	width: 1270px;
	height: 830px;
}

.monitor-display-cell {
    vertical-align: top;
    text-align: left;
    padding: 32px 21px 16px 31px;
    width: 650px; /* 570px; */
    
}

.monitor-slide-cell {
    height: 830px; /* 760px; */
    vertical-align: top;
    text-align: left;
    background-color: black;
    
}

.monitor-footer-cell {
    /* background-color: #101010; */
    vertical-align: middle;
    text-align: center;
    
}

.monitor-lab {
    width: 635px;
}

.monitor-only-logo {
    width: 635px;
}

.monitor-table {
    width: 1920px;
    height: 1080px;
}

.display-table {
    width: 100%;
    vertical-align: middle;
}

.display-sub-left {
    width: 270px; /* 230px; */
    height: 170px; /* 140px; */
    background-color: #414141;
    color: #FFFFFF;
    padding: 6px 6px 6px 12px;
    font-size: 95px; /* 76px; */
    text-align: left;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}

.display-sub-right {
    height: 170px; /* 140px; */
    color: white;
    min-width: 300px; /*270px; */
    padding: 6px 6px 6px 6px !important;
    text-align: center;
    font-size: 110px;/* 76px; */
    padding-left: 36px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
}

.display-sub-right-red {
    background: #7a0000;
}

.display-sub-right-green {
    background: #0F870F;
}


.display-item {
    border-radius: 20px;
    vertical-align: middle;
    text-align: left;
    width: 98%;
    height: 170px; /* 140px; */
    visibility: hidden;
    margin-bottom: 35px;
}

/* animation effect */
@keyframes blink_effect-red {
    from {background-color: #7a0000;}
    to {background-color: transparent;}
}

@keyframes blink_effect-green {
    from {background-color: #0F870F;}
    to {background-color: transparent;}
}

/* animation parameters */
.run-animation-red {
    background-color: #7a0000;
    animation-name: blink_effect-red;
    animation-duration: 0.8s;
    animation-iteration-count: 8;
    animation-delay: 0s;
} 

.run-animation-green {
    background-color: #0F870F;
    animation-name: blink_effect-green;
    animation-duration: 0.8s;
    animation-iteration-count: 8;
    animation-delay: 0s;
} 